:root {
    --DTblG-Margin-Width: 4px; /* Was 22 */
    --DTblG-Margin-Height: 25px;
    --DTblG-Margin-Top: 10px;
    --DTblG-Text-Color: #000000;
    --DTblG-Text-Weight: 400;
} 



.DTblG-Table {
    font-size: 15px !important;
    min-width: fit-content;
    margin-left: var(--DTblG-Margin-Width) !important;
    margin-top: 0;
    margin-bottom: 0;
    margin-right: var(--DTblG-Margin-Top);
    width: calc(100% - var(--DTblG-Margin-Width)) !important;
    display: flex;
    flex-direction: column;
    height: -webkit-fill-available;
    min-width: 350px !important;
    border-collapse: inherit !important;
 
}

.DTblG-Table thead { 
    display: table; 
    width: calc(100% - 32px) !important; 
    table-layout: fixed !important; 
    margin-left: 4px !important;
    box-shadow: 0px 7px 9px -9px #00000022;
}

.DTblG-Table tfoot {
    box-shadow: 0px -7px 9px -9px #00000022;
}  

.DTblG-Table tr {
    border-bottom: 0px
}

.DTblG-Table thead tr {
    border-bottom: 1px solid #00000008;
}

.DTblG-Table tr:not(:last-child) {
    border-bottom: 1px solid #00000008;
}

.DTblG-Table tr:nth-child(even):not(.DTblG-Filter) {
    background-color: #9c27b008;
}

.DTblG-Table .DTblG-Filter-Even{
    background-color: #9c27b008;
}


.DTblG-Table th {
    user-select: none;
    position: relative;
    min-width: 50px;
    overflow: auto;
    vertical-align: bottom;
    --border-right: 4px solid transparent;
    color:#9c27b0  !important;   
    font-size: 17px !important;
    font-weight: 300 !important;
    margin-left: 10px !important;
    padding-right: 5px !important;
    padding-left: 5px !important;
    padding-bottom: 10px!important;
}

.DTblG-Table th {
    min-width: 50px;
    overflow: auto;
    vertical-align: bottom;
    font-weight: 500 !important;
    text-shadow:  0px 1px 1px #00000044
                , 2px 2px 0px #FFFFFFAA
                , -2px -2px 0px #FFFFFFAA
                , -2px 2px 0px #FFFFFFAA
                , 2px -2px 0px #FFFFFFAA 
                !important;
    color: var(--BzRv-Color-Review) !important;  
    line-height: 1.2em;              
}


.DTblG-Table thead, .DTblG-Table tbody {
    margin-left: 0px !important;
    display: block !important; 
    overflow-y: overlay !important; 
    overflow-x: auto  !important; 
    padding-left: 4px;
    --padding-right: 13px;
    padding-bottom: 0px;
    padding-Top: 0px;
    border-bottom: 1px solid #00000010;
    height: fit-content;
    box-shadow: inset 0px -7px 9px -9px #00000022;
    min-height: 40px;
}

.DTblG-Table thead {
    overflow: hidden !important;    
}

.DTblG-Table tfoot {
    width: calc(100% - (var(--DTblG-Margin-Width) * 2)) !important;
}    

.mobileView .DTblG-Table.DDTbl thead, .mobileView .DTblG-Table.DDTbl tbody {
    min-width: 1280px;
}

@media screen and (max-width: 1279px) {
    .mobileView .DTblG-Table.DDTbl thead, .mobileView .DTblG-Table.DDTbl tbody {
        min-width: 1280px;
    }
}    

@media screen and (max-width: 800px) {
    .mobileView .DTblG-Table.DDTbl thead, .mobileView .DTblG-Table.DDTbl tbody {
        min-width: 1024px;
    }
}    





.DTblG-Table .DTblG-Focus:not(th) {
    background-color: #e1bee721 !important;
    border-left: #FFFFFF88 solid 1px  !important;
}

.DTblG-Right {
    text-align: right;
    position: relative;
}
.DTblG-Left {
    text-align: left;
    position: relative;
}
.DTblG-Center {
    text-align: center;
    position: relative;
}

.DTblG-Fixed-Tbl {
    display: table;
    width: calc(100% - var(--DTblG-Margin-Width)) !important;
    table-layout: fixed;
    --margin-left: 16px;
}

.DTblG-Table td {
    overflow-x: hidden;
    white-space: nowrap !important;
    position: relative;
    color: var(--DG-Text-Color);
    font-weight: var(--DG-Text-Weight);
    margin-left: 10px !important;
    padding: 10px 5px !important;
    padding-right: 9px !important;
    user-select: none;
}

 
.DTblG-Table1 th:hover, .DTblG-Table td:hover {
    overflow-x: scroll;
    overflow-y: hidden;
    padding-top:10px !important;
    padding-bottom:0px !important;
}    

.DTblG-Table td:nth-child(2n+3) {
    background-color: #e1bee721;
}


.DTblG-Table td:not(:nth-child(1)) {
    border-right: 1px dotted #00000022;
}


.DTblG-Table td:last-child {
    border-right: none;
}





.DTblG-Table th:nth-child(1) {
   --margin-left: 14px;
}


.DTblG-Table>tbody>tr:not(.DTblG-NH, .DTblG-GroupHeadRow):hover, .DTblG-Table>tbody>tr.DTblG-Sel {
    background-color: #9c27b022;
    box-shadow: 0px 8px 8px -8px #00000033;
    border-radius: 2px;
    transition-duration: 0s !important;
    z-index: 2;
}



.DTblG-HL, .DTblG-Sel {
    background-color: #9c27b033 !important;
    border-radius: 2px;
    transition-duration: 0s !important;
    z-index: 2;
}

.DTblG-SelHL {
    background-color: #ffeb3b52 !important;
    border-radius: 2px;
    transition-duration: 0s !important;
    z-index: 2;
}




.DTblG-GroupHeadRow TD {
    min-width: 50px;
    overflow: overlay;
    vertical-align: bottom;
    font-weight: 500 !important;
    text-shadow: 0px 1px 1px #00000044, 2px 2px 0px #FFFFFFAA, -2px -2px 0px #FFFFFFAA, -2px 2px 0px #FFFFFFAA, 2px -2px 0px #FFFFFFAA !important;
    color: var(--BzRv-Color-Review) !important;
    line-height: 1.2em; 
    border-bottom: 1px solid #00000008;
    background-color: #FFF !important;
}
  

.DDFix, .DDFix .AppPreviewCell { background-color: #6936f5 !important; color:white !important; }
.DDFix input[type="checkbox"]:not(.chkHide) {
  accent-color: #6936f5 !important;
  cursor: pointer !important;
  outline: 2px #ff5aff solid;
  transform: translateY(2px);
}

.DDFix input[type="checkbox"]:not(:checked) {
  outline: 0px white solid;
}

.DDFix .AppPreviewCell {
  cursor: default !important;
}
.DDN { width:30px }
.DD50 { width:50px }
.DD75 { width:75px }
.DD90 { width:90px }
.DD100 { width:100px }
.DD125 { width:125px }
.DD150 { width:150px }
.DD175 { width:175px }
.DD200 { width:200px }
.DD250 { width:250px }
.DD300 { width:300px }
.DD325 { width:325px }
.DD350 { width:350px }
.DD400 { width:400px }
.DD450 { width:450px }
.DD500 { width:500px }
.DDC { text-align:center }
.DDR { text-align:right; }
.DDS { font-size: .8em; line-height: 22px; cursor: pointer; border-bottom: 1px solid transparent; padding-bottom:3px; }
.DDS:hover { border-bottom: 1px solid var(--Pol-TI-Purple);  }
.DDH { cursor:pointer; }
.DTblG-Table td.DDWrap{ white-space: break-spaces !important; };


.DTblG-Table th .DTblG-RZ {
    position: absolute;
    right: 0px;
    top: 0;
    bottom: 0;
    width: 10px;
    cursor: col-resize;
    z-index: 1;
    background:transparent;
}


th[aria-sort="ascending"][sorting],th[aria-sort="descending"][sorting] {
    position: relative;
}


th[aria-sort="ascending"][sorting]::after {
 content: "▲";
 position: absolute;
 right: 1.1em;
 top: 0px;
 width: .8em;
 height:.8em;
 background-color: white;
}


th[aria-sort="descending"][sorting]::after {
 content: "▼";
 position: absolute;
 right: 1.1em;
 top: 0px;
 width: .8em;
 height:.8em;
 background-color: white;
}

